#include "common.glsl"

#define at_VertexCoords           gl_Vertex
#define at_Normal                 gl_Normal
#define at_MultiTexCoord0         gl_MultiTexCoord0
#define at_MultiTexCoord1         gl_MultiTexCoord1

attribute highp vec4 joint_weights ;
attribute highp vec4 joint_indices ;


void ProcesarIluminacion(vec4 vertice, vec3 normal)
{
}

void ProcesarTexturas()
{
  text_coord[0] = vec2(at_MultiTexCoord0) + g_DatosMaterial.offset_animacion0 ;
  text_coord[1] = vec2(at_MultiTexCoord1) + g_DatosMaterial.offset_animacion1 ;       // Sólo si NUMERO_MAXIMO_TEXTURAS_POR_MATERIAL > 1 ... ¿Cómo podríamos meterlo en un bucle?
}
